# Напишите программу которая выполнит следующее:

# Попросить ввести свой возраст (можно исползовать константу или input()).
# если пользователю меньше 7 - вывести “Где твои мама и папа?”
# если пользователю меньше 18 - вывести “Мы не продаем сигареты несовершеннолетним!”
# если пользователю больше 65 - вывести “Пенсионерам сегодня скидка!”
# если у пользователя юбилей (10, 20, 40 и тд лет, любое число, кратное 10) - вывести “Где Ваш сертификат от вакцинации?”
# в любом другом случае - вывести “Оденьте маску! ”

import time

answer = input ('Добрый день. Сколько вам лет?   ')

while True:
    answer_test = str.isdecimal(answer) and answer != "0"
    if answer_test:
        break
    answer = input('Что вы бормочите? Сколько вам лет?')

age = int (answer)

if age < 7:
    time.sleep(1)
    print ('Где твои мама и папа?')

    while True:
        answer1 = input (('1 - \"Дома\"  '
                          '\n2 - \"Не знаю(\"  '
                          '\n3 - Убежать  '))
        if answer1 == '3':
            time.sleep(0.8)
            print('Эй постой, куда ты?')
            break
        elif answer1 == '1':
            time.sleep(0.8)
            print ('Возвращайся домой и приходи с родителями!')
            break
        elif answer1 == '2':
            time.sleep(0.8)
            customer_name = input ('Как так? Как тебя зовут?   ')
            time.sleep(0.8)
            print(f'Хорошо {customer_name}. Сейчас мы найдем твоих родителей!')
            break
        else:
            time.sleep(0.8)
            print('Прости я не поняла что ты говоришь. Можешь сказать где твои родиели?!')

elif age < 18:
    time.sleep(0.8)
    print('Мы не продаем сигареты несовершеннолетним!')

    while True:
        answer1 = input(('1 - \"Ладно\", 2 - \"Меня папа послал!\"'))
        if answer1 == '1':
            time.sleep(0.8)
            print('Возвращайся домой и приходи с родителями!')
            break
        elif answer1 == '2':
            time.sleep(0.8)
            father_name = input('Как зовут твоего папу?   ')
            time.sleep(0.8)
            print(f'Пускай глубокоуважаемый {father_name} меня извинит, но скажи ему, что по закону я не могу продать сигареты лицам младше 18ти!')
            break
        else:
            print('Что за ерунда? Повтори!')

elif age > 65:
    time.sleep(0.8)
    print('Пенсионерам сегодня скидка!')

else:
    time.sleep(0.8)
    print('Пожалуйста, наденьте маску!')

anniversary_test = age % 10
if anniversary_test == 0 and age > 18:
    time.sleep(0.8)
    print('Поздравляем!. Сегодня у нас дополнительный бонус для юбиляров!')

